Subject: bug#18541: 24.3; ruler-mode: margins are reset when doing next-buffer/previous-buffer

From: Stefan Monnier <[email-masked]>
Date: Tue, 23 Sep 2014 20:51:09 -0400

> Hello, I think I found a bug in ruler-mode,
> here's a recipe for it. Start "emacs -Q" and type:
> M-x ruler-mode RET 
> M-: (set-window-margins nil 10 10) RET

Setting margins with set-window-margins is a low-level operation.
Margins get re-set whenever the buffer displayed is changed.
IOW I think the behavior you describe with above recipe is not a bug.

But indeed, if you set the margin with S-mouse-1 or S-mouse-3 on the
header-line, then ruler-mode should arguably try to preserve this
setting like you request it.

        Stefan